%define pre rc1
%define prever %{?pre:-%pre}%nil

Name:		iodine
Version:		0.6.0
Release:		%mkrel 0.rc1.3
Summary:		Solution to tunnel IPv4 data through a DNS server
Group:		Networking/Other
License:		ISC
URL:			http://code.kryo.se/iodine/
Source0:		http://code.kryo.se/%{name}/%{name}-%{version}%{prever}.tar.gz
# Initscripts and separate configs made by Nikolay Ulyanitsky
Source1:		%{name}-client.conf
Source2:		%{name}-server.conf
Source3:		%{name}-client.init
Source4:		%{name}-server.init
Source5:		%{name}.logrotate

# http://dev.kryo.se/iodine/ticket/87
Patch0:		iodine-0.5.2-prefix.patch

BuildRequires:	zlib-devel

%description
iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
different situations where internet access is firewalled, but DNS queries are
allowed.

It runs on Linux, Mac OS X, FreeBSD, NetBSD, OpenBSD and Windows and needs a
TUN/TAP device. The bandwidth is asymmetrical with limited upstream and up to
1 Mbit/s downstream.

%package server
Summary:	iodine server (Tunnel TCP over DNS)
Group:		Networking/Other
Requires(post,preun): rpm-helper

%description server
iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
different situations where internet access is firewalled, but DNS queries are
allowed.

This package contains the server part.

%package client
Summary:	iodine client (Tunnel TCP over DNS)
Group:		Networking/Other
Requires(post,preun): rpm-helper

%description client
iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
different situations where internet access is firewalled, but DNS queries are
allowed.

This package contains the client part.

%prep
%setup -q -n %{name}-%{version}%{prever}
%patch0 -p0 -b .prefix

%build
%make PREFIX=%{_prefix} CFLAGS="-c %{optflags} -DLINUX"

%install
rm -rf %{buildroot}
%makeinstall

install -Dp -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}-client
install -Dp -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}-server

install -Dp -m 0755 %{SOURCE3} %{buildroot}/%{_initrddir}/%{name}-client
install -Dp -m 0755 %{SOURCE4} %{buildroot}/%{_initrddir}/%{name}-server

install -Dp -m 0644 %{SOURCE5} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

%clean
rm -rf %{buildroot}

%post server
%_post_service iodine-server
%preun server
%_preun_service iodine-server

%post client
%_post_service iodine-client
%preun client
%_preun_service iodine-client

%files server
%doc CHANGELOG README TODO
%{_sbindir}/%{name}d
%{_mandir}/man8/%{name}.8.*
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-server
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_initrddir}/%{name}-server

%files client
%doc CHANGELOG README TODO
%{_sbindir}/%{name}
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-client
%{_initrddir}/%{name}-client



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-0.rc1.3.mga4
+ Revision: 506045
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.0-0.rc1.2.mga3
+ Revision: 354435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 24 2011 pterjan <pterjan> 0.6.0-0.rc1.1.mga2
+ Revision: 157661
- imported package iodine


* Mon Oct 24 2011 Pascal Terjan <pterjan@mageia.org> 0.6.0-0.rc1.1.mga2
- Adapt to Mageia
- Split client and server into subpackages

* Tue Oct 26 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.6.0-0.rc1.6
- Add -DLINUX to build options (BZ#644310, thanks to Andy Shevchenko)
- Fix service scripts to find binaries in /usr/sbin instead of /usr/bin (BZ#644299 thanks to Andy Shevchenko)
- Add 0600 file attributes to prevent password access from regular users (BZ#644305).
- In comments configs add IODINE(D)_PASS variables description (BZ#644317).

* Wed Sep 29 2010 jkeating - 0.6.0-0.rc1.4.2
- Rebuilt for gcc bug 634757

* Wed Sep 29 2010 jkeating - 0.6.0-0.rc1.4.1
- Rebuilt for gcc bug 634757

* Sun Sep 12 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.6.0-0.rc1.4
- Build new version 0.6.0rc1
- Define prerel.

* Sat Mar 6 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.5.2-3
- Honor CFLAGS

* Mon Feb 22 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.5.2-2
- Import some items from Nikolay Ulyanitsky package ( https://bugzilla.redhat.com/show_bug.cgi?id=530747#c1 ):
	o Add initscripts support (modified)
	o Add logrotate support
	o Exclude README-win32.txt and respective delete dos2unix BR.
	o Add BR zlib-devel

* Sat Oct 24 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.5.2-1
- Initial spec.
